<?php
namespace Claromentis\Blog\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_95a58f0bfdaaa9a6ee1befaa909a62e" . "5" => base64_decode("YWRtaW4ubGFicy" . "5hYnNvbHV0ZV91" . "cmwuYmxvZw=="), "_c7b86566f5835e3" . "4c8ef0cf3b36b604" . "6" => base64_decode("L2" . "Js" . "b2" . "cv"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractBlogAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_95a58f0bfdaaa9" . "a6ee1befaa909a6" . "2e5"]);
    }
    
    
    
    
    public function getLink($_0ea4e32b57963ac0cb3057e03e9aef64) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c7b86566f583" . "5e34c8ef0cf3b" . "36b6046"] . $_0ea4e32b57963ac0cb3057e03e9aef64;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}